#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-73iQSm2V6bbAm03jA94aNp
key:                  hOpenPGP-2.9.5-73iQSm2V6bbAm03jA94aNp
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  f41eb291908daa516488d03d1f1548cb
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.5/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.5/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-73iQSm2V6bbAm03jA94aNp
depends:
    aeson-1.5.6.0-6uunGgFAYkLL5zoDUTK2GY
    asn1-encoding-0.9.6-AFXvrddOQtDHSBLv0MPzQ8
    attoparsec-0.14.1-qO4BENHL0SHN8QdgrNcG6 base-4.14.2.0
    base16-bytestring-1.0.1.0-1hJhTC4ftcxEBVwj2vhRFK
    bifunctors-5.5.11-KIJIfjFRTJDJ2IFv8ycKWx binary-0.8.8.0
    binary-conduit-1.3.1-DiWbXQrBl7l58mxhBHe6vA bytestring-0.10.12.0
    bz2-1.0.1.0-15w7WamBmybC9UAyS7lF6F
    conduit-1.3.4.1-CU2UV8EGOC0G969ooXKq7I
    conduit-extra-1.3.5-74yhKp4UWLX2djo5ORS4ko containers-0.6.4.1
    crypto-cipher-types-0.0.9-LQo54bzmotf2im7aqpU2MN
    cryptonite-0.29-3JSUkOlGQg3XBOKlyqMAW
    errors-2.3.0-L2PYtE6sWhcKjNVUy63IeC
    hashable-1.3.2.0-IDkVQhKLyXDF7itJntNZ2M
    incremental-parser-0.5.0.2-ECqhCi1z79jLKoBrfmB9F9
    ixset-typed-0.5-FlFPgNeUjnl1VyU4erJXkG
    lens-5.0.1-35rFO49duny9UmEBJRCnDB
    memory-0.16.0-E1gXzMJzgEcJ8QhI9dLs6S
    monad-loops-0.4.3-8Lx5Hn3pTtO62yOPdPW77x
    nettle-0.3.0-Dw5jlsr2HJl9QPcJTEJmwK
    network-uri-2.6.4.1-AJEy95J8Z3N4HoBtLbmjVO
    openpgp-asciiarmor-0.1.2-4ZUz9kMg1Wo4Ied1YKUNHK
    prettyprinter-1.7.0-2k3IpzNuta42oe8XIUM8Fs
    resourcet-1.2.4.2-Gfu0kyxxOMA2Bc8Qssjz0Z
    split-0.2.3.4-2CazDyCwHVY5SBexdl3uQN text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-5cx66yU3Sl5G8ah6lp8xSQ
    transformers-0.5.6.2 unliftio-core-0.2.0.1-1ibY1oF6Hkc5ZYjZ4yW3Lp
    unordered-containers-0.2.14.0-1OFWlQlrCvvLaIazZ0Uw3i
    zlib-0.6.2.3-8hZZ7AguV5B4SbzxjpnIIB

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

